Show / Hide Table of Contents

# Enum Logger.Level

An enum specifying the level of the message. Resembles Syslog.

###### Namespace: IPA.Logging

###### Assembly: IPA.Loader.dll

##### Syntax

    public enum Level : byte

### Fields

Name | Description
--- | ---
Critical | A critical error message.
Debug | A debug message.
Error | An error message.
Info | An informational message.
None | No associated level. These never get shown.
Notice | A notice. More significant than Info, but less than a warning.
Trace | A trace message. These are ignored incredibly early.
Warning | A warning message.

### Extension Methods

ReflectionUtil.SetPrivateField(String, Object)
ReflectionUtil.GetPrivateField<T>(String)
ReflectionUtil.SetPrivateProperty(String, Object)
ReflectionUtil.InvokePrivateMethod(String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(String, Object[])